@charset "utf-8";

html,
body {
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 500;
  font-style: normal;
  font-optical-sizing: auto;
  line-height: 2.6;
  letter-spacing: 0.1em;
  overflow-x: clip;
  color: #ffffff;
  word-break: auto-phrase;
}

.bg-fix {
  background-image: url("../images/main-bg-img.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: -1;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  font-style: normal;
}

a {
  color: #fff;
  text-decoration: none !important;
  transition: all 0.3s ease; 
  
}

a:hover {
  cursor: pointer;
}

/* フォント */

.kozu {
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.kozu-h {
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.ten {
  font-family: "ten-mincho-text", serif;
  font-weight: 400;
  font-style: normal;
}

.impa {
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1.2;
  letter-spacing: 0.02em;
}

.fc-white {
  color: #fff !important;
}

.fc-beige {
  color: #fff9ec !important;
}

.fc-brown {
  color: #5e3505 !important;
}

.fc-red {
  color: #e43905 !important;
}

.v-text {
  writing-mode: vertical-rl;
  text-orientation: upright;
  white-space: nowrap;
}

.text-shadow {
  text-shadow: 2px 2px 5px black;
}

.text-shadow-white {
  text-shadow: 2px 2px 5px white;
}

.has-shadow {
  box-shadow: 4px 4px 12px rgba(0, 0, 0, 0.15);
}

/* 背景 */
.bg-white {
  background-color: #fff;
}

.top-bg {
  background-color: #000622;
}

/*罫線*/

.bl-white {
  border-left: 1px solid #fff;
}

.bb-white {
  border-bottom: 1px solid #fff;
}

/* ボタン */
.button {
  position: relative;
  display: inline-flex !important;
  background-color: #e43905;
  color: #fff;
  width: 180px;
  height: 45px;
  justify-content: center;
  align-items: center;
  transition: all 0.3s;
}

.button::after {
  content: "";
  width: 24px;
  height: 8px;
  background-image: url(../images/arrow.svg);
  background-size: contain !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  position: absolute;
  top: 50%;
  right: 8px;
  transform: translateY(-50%);
  transition: all 0.3s;
}

.button:hover {
  background-color: #5e3505;
}

.button:hover::after {
  right: 6px;
}

.button p {
  color: #fff9ec;
  font-family: "Yuji Syuku", serif;
  margin: 0 !important;
  padding: 0 !important;
  letter-spacing: 0.2rem;
}

.split-btn {
  position: relative;
  width: 210px;
  background: #fff;
  border: 1px solid #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  cursor: pointer;
  padding: 1.4rem;
  text-decoration: none;
}

@media (min-width: 768px) {
  .split-btn {
    width: 300px;
  }
}

.split-text {
  position: relative;
  color: #fff;
  font-size: clamp(0.75rem, 0.588rem + 0.7vw, 1.25rem);
  letter-spacing: 0.1em;
  line-height: 1.2;
  z-index: 3;
  transition: color 0.4s ease;
}

/* 共通 */
.split-bg {
  position: absolute;
  top: 0;
  width: 55%;
  height: 100%;
  background: #000c30;
  z-index: 1;
  transition: transform 0.6s cubic-bezier(0.77, 0, 0.18, 1);
}

/* 左パネル（右上が斜め） */
.split-bg.left {
  left: 0;
  clip-path: polygon(0 0, 100% 0, 85% 100%, 0 100%);
  transform: translateX(0);
}

/* 右パネル（左上が斜め） */
.split-bg.right {
  right: 0;
  clip-path: polygon(15% 0, 100% 0, 100% 100%, 0 100%);
  transform: translateX(0);
}

/* ホバー */
.split-btn:hover .left {
  transform: translateX(-100%);
}

.split-btn:hover .right {
  transform: translateX(100%);
}

.split-btn:hover .split-text {
  color: #000c30;
}

/* ヘッダー */

.header-wrap {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  align-items: start;
  justify-content: space-between;
  padding: 20px 0 0 20px;
  z-index: 1000;
}

@media (min-width: 768px) {
  .header-wrap {
    padding: 40px 0 0 25px;
  }
}

@media (min-width: 992px) {
  .header-wrap {
    padding: 48px 0 0 46px;
  }
}

.header-logo {
  max-width: 75px;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (min-width: 768px) {
  .header-logo {
    max-width: 130px;
  }
}

.header-logo img {
  width: 100%;
  object-fit: contain;
  object-position: center;
}

.rese-btn {
  position: relative;
  z-index: 1100;
  width: 256px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 15px 20px 15px 40px;
  clip-path: polygon(10% 0, 100% 0, 100% 100%, 0 100%);
  line-height: 1.5;
  overflow: hidden;
}

@media (min-width: 768px) {
  .rese-btn {
    width: 390px;
    padding: 28px 34px 28px 60px;
  }
}

.bg-layer {
  position: absolute;
  inset: 0; /* top:0; right:0; bottom:0; left:0; */
  z-index: 0; /* テキストより下 */
}

.bg-blue {
  width: 100%;
  background: linear-gradient(90deg, #0025aa -38.3%, #00145f 100%);
  position: absolute;
  inset: 0;
  z-index: 0;
}

.bg-white {
  width: 100%;
  background: #ffffff;
  transform: translateX(-100%);
  position: absolute;
  inset: 0;
  z-index: 1;
}

@keyframes whiteSlidePass {
  0% {
    transform: translateX(-100%);
  }
  50% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(100%);
  }
}

.rese-btn .text {
  position: relative;
  z-index: 4;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.rese-btn .en {
  font-size: clamp(1rem, 0.919rem + 0.35vw, 1.25rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1.2;
  letter-spacing: 0.06em;
}

.rese-btn .jp {
  font-size: clamp(0.625rem, 0.585rem + 0.18vw, 0.75rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.rese-btn:has(.text:hover) .bg-white {
  animation: whiteSlidePass 0.9s ease forwards;
}

/* ナビ */

.a-nav-menu {
  display: none;
  opacity: 0;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 900;
  justify-content: space-between;
  align-items: center;
  transition: all 0.3s;
  background: linear-gradient(180deg, #000c39 25%, #001b7d 91.35%);
  padding: 0 4rem;
  gap: 2rem;
}

.a-nav-menu.edit {
  display: flex;
  opacity: 1;
}

.a-nav-box {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

.a-nav-box .img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.a-nav-box .list {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 0.8rem;
}

@media (min-width: 768px) {
  .a-nav-box .list {
    gap: 1.2rem;
  }
}

@media (min-width: 992px) {
  .a-nav-box .list {
    gap: 1.5rem;
  }
}

.a-nav-box .list .logo {
  width: 80px;
}

@media (min-width: 768px) {
  .a-nav-box .list .logo {
    width: 100px;
  }
}

.a-nav-box .list .text {
  font-size: clamp(1.25rem, 1.169rem + 0.35vw, 1.5rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  letter-spacing: 0.05em;
  line-height: 1.5;
  min-height: auto;
}

.a-nav-box .list .inst {
  width: 36px;
}

.top-logo {
  max-width: 180px;
}

.a-burger {
  position: relative;
  cursor: pointer;
  width: 44px;
  height: 45px;
  padding: 0;
  margin: 0;
}

.a-burger div {
  width: 44px;
  height: 1.5px;
  background-color: #fff;
  position: absolute;
  left: 0px;
  transform-origin: center;
  transition: all 0.3s;
  padding: 0;
  margin: 0;
  min-height: 2px !important;
}

.a-burger p {
  position: absolute;
  bottom: 0;
  font-size: 14px;
}

.a-burger div:nth-child(1) {
  top: 12px;
}

.a-burger div:nth-child(2) {
  top: 30px;
}

.a-burger.is-active div:nth-child(1) {
  transform: rotate(-40deg);
  top: 20px;
}

.a-burger.is-active div:nth-child(2) {
  transform: rotate(40deg);
  top: 20px;
}

/* フッター */

.foot-wrap {
  position: relative;
  width: 100%;
  background-color: #000622;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 1;
  overflow: hidden;
}

.foot-wrap::before {
  content: "";
  width: 95%;
  height: 510px;
  background-image: url("../images/footer-deco.svg");
  background-size: contain !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  position: absolute;
  bottom: 38%;
  right: -5%;
  z-index: -1;
}

@media (min-width: 768px) {
  .foot-wrap::before {
    width: 50%;
    bottom: -5%;
    right: -5%;
  }
}

.foot-wrap .box {
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  justify-content: center;
}

.foot-wrap .box .l {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}

.foot-wrap .box .l .list {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.2rem;
}

.foot-wrap .box .l a {
  min-height: auto;
}

.foot-wrap .box .l a p {
  font-size: clamp(1rem, 0.919rem + 0.35vw, 1.25rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1.2;
  letter-spacing: 0.05em;
}

.foot-wrap .box .r {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.foot-wrap .box .r .name {
  font-size: clamp(1rem, 0.676rem + 1.4vw, 2rem);
  font-family: "stencil-std", sans-serif;
  font-weight: 400;
  line-height: 1.2;
}

.foot-wrap .box .r .p {
  font-size: clamp(0.625rem, 0.585rem + 0.18vw, 0.75rem);
  line-height: 2;
}

.foot-wrap .box .r .p.center {
  text-align: center;
}

.foot-inst {
  display: block;
  width: 36px;
}

@media (min-width: 768px) {
  .foot-wrap .box {
    display: flex;
    flex-direction: row;
    align-items: end;
    justify-content: center;
  }

  .foot-wrap .box .l .list {
    align-items: start;
    justify-content: center;
    gap: 1.4rem;
  }

  .foot-wrap .box .r .p.center {
    text-align: start;
  }
}

/* News表示 */

.webgene-blog {
  width: 100%;
}

/* News表示 画像あり版 */
.news-list .webgene-blog {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.news-list .webgene-item {
  width: 100%;
}

@media (min-width: 768px) {
  .news-list .webgene-item {
    width: 48%;
  }
}

/* ページネーション共通 */
.webgene-pagination {
  width: 100%;
}

.webgene-pagination ul,
.pagelink {
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  gap: 20px;
  max-width: 220px;
  margin-top: 3rem;
}

.webgene-pagination ul li,
.pagelink p {
  font-size: clamp(0.75rem, 0.669rem + 0.35vw, 1rem);
  letter-spacing: 0.2rem;
  line-height: 1.5;
  width: 90px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.webgene-pagination ul li a,
.pagelink p a {
  display: inline-flex !important;
  width: 120px;
  height: 58px;
  border: 1px solid #fff;
  background-color: #000c30;
  padding: 15px 0 !important;
  align-items: center;
  justify-content: center;
  transition: all 0.3s;
}

.webgene-pagination ul li a:hover,
.pagelink p a:hover {
  cursor: pointer;
  background-color: #516788;
}

.webgene-pagination .next {
  margin-left: auto;
}

@media (min-width: 768px) {
  .webgene-pagination ul,
  .pagelink {
    max-width: 300px;
  }
}

/* フォーム */
.formInput,
.formTextArea {
  width: 100%;
  padding: 0.5rem;
  border: none;
  border-radius: 0;
  border: 1px solid #cbc3b0;
  background-color: #fffcf5;
  margin-bottom: 2rem;
}

.formTextArea {
  height: 8rem;
}

.formInput:focus,
.formInput:focus-visible,
.formTextArea:focus,
.formTextArea:focus-visible,
.form-button:focus,
.form-button:focus-visible {
  border: 1px solid #cbc3b0;
  background-color: #fffcf5;
}
.zipInput {
  width: 6rem;
}
@media (min-width: 768px) {
  .formTh {
    padding-left: 2rem;
  }
}

.requiredText {
  background-color: #a3987c;
  color: #fff;
  padding: 4px 8px;
  font-size: 0.8rem;
  margin-left: 1rem;
}
.privacyformError {
  padding-top: 25px;
}
@media (min-width: 768px) {
  .privacyformError {
    padding-top: 0;
  }
}
/* ページ共通設定 */

.fv-wrap {
  height: 100vh;
  width: 100%;
  position: relative;
  display: flex;
}

.fv-sub-wrap {
  height: 80vh;
  width: 100%;
  display: flex;
  flex-direction: column;
}

@media (min-width: 768px) {
  .fv-sub-wrap {
    height: 100vh;
  }
}

.fv-sub-img {
  position: relative;
  height: 80%;
  width: 100%;
  overflow: hidden;
  display: flex;
  align-items: end;
  justify-content: end;
}

.fv-sub-img .box {
  display: flex;
  align-items: center;
  justify-content: end;
}

.fv-sub-img h1 {
  font-size: clamp(1.75rem, 1.467rem + 1.23vw, 2.625rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1;
  letter-spacing: 0.02em;
}

.fv-sub-text {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  color: #2b4977;
  gap: 0.5rem;
  line-height: 1.5;
}

.fv-sub-text .en {
  font-size: clamp(1.25rem, 0.926rem + 1.4vw, 2.25rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1;
  letter-spacing: 0.02em;
}

.fv-sub-text .jp {
  font-size: clamp(0.625rem, 0.585rem + 0.18vw, 0.75rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
}

@media (min-width: 768px) {
  .fv-sub-text {
    gap: 1rem;
  }
}

/* プラシバシーポリシー */
.policy-box {
  overflow-y: scroll;
  height: 400px;
  border-radius: 30px;
}

.btn a::after {
  content: "→";
}

/* コンセプト */

.con-sec2-title {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  width: 100%;
}

.con-sec2-title .en {
  position: relative;
  font-size: clamp(3rem, 1.542rem + 6.3vw, 7.5rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1.2;
  letter-spacing: 0.02em;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.con-sec2-title .jp {
  position: relative;
  font-size: clamp(1.125rem, 0.781rem + 1.49vw, 2.188rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  line-height: 1.5;
  margin-top: 2rem;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.con-sec2-title .box {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: end;
  margin-top: 5rem;
  margin-bottom: 2rem;
  width: 100%;
}

.con-sec2-title .box .en2 {
  font-size: clamp(6.25rem, 5.035rem + 5.25vw, 10rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  line-height: 1.5;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

@media (min-width: 768px) {
  .con-sec2-title .box {
    margin-top: 12rem;
    margin-bottom: 3rem;
  }
}

.con-sec2-title .bg {
  position: absolute;
  right: 0%;
  top: 50%;
  transform: translateY(-50%);
  width: 80%;
  max-width: 660px;
  z-index: -1;
}

.con-sec2-box {
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  justify-content: center;
  gap: 3rem;
}

.con-sec2-box .l {
  flex: none;
  height: 40vh;
  width: 100%;
  overflow: hidden;
}

.con-sec2-box .l img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.con-sec2-box .r {
  flex: 1;
  display: flex;
  align-items: start;
  justify-content: end;
}

.con-sec2-box .r p {
  text-align: end;
  line-height: 2.6;
  font-size: clamp(0.625rem, 0.544rem + 0.35vw, 0.875rem);
}

@media (min-width: 768px) {
  .con-sec2-box {
    flex-direction: row;
    align-items: start;
    justify-content: center;
    gap: 1rem;
  }

  .con-sec2-box .l {
    flex: 1;
    height: auto;
    max-height: 532px;
    width: 100%;
  }
}

@media (min-width: 992px) {
  .con-sec2-box {
    gap: 2rem;
  }
}

.con-sec2-box2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  position: relative;
  z-index: 1;
  gap: 4.5rem;
}

.con-sec2-box2::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 0.5px;
  height: 190%;
  background: #e8e5ff;
  transform-origin: top right;
  transform: rotate(30deg);
  z-index: -1; /* 背景レイヤー */
}

@media (min-width: 768px) {
  .con-sec2-box2::before {
    height: 190%;
    transform: rotate(50deg);
  }
}

.con-sec2-box2 .text {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  padding: 1.8rem 0 1.8rem 2.4rem;
  gap: 1.2rem;
}

.con-sec2-box2 .text .title {
  font-size: clamp(1.125rem, 0.781rem + 1.49vw, 2.188rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  line-height: 2;
}

.con-sec2-box2 .text .p {
  line-height: 2.6;
  font-size: clamp(0.625rem, 0.544rem + 0.35vw, 0.875rem);
}

.con-sec3-wrap {
  position: relative;
  width: 100%;
  padding-top: 185px;
}

.con-sec3-wrap::before {
  content: "";
  display: none;
  width: 140px;
  height: 100%;
  background-image: url("../images/con-sec4-deco.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  top: 8%;
  right: 10%;
  z-index: 2;
}

@media (min-width: 768px) {
  .con-sec3-wrap {
    padding-top: 410px;
  }

  .con-sec3-wrap::before {
    display: block;
  }
}

.con-sec3-wrap .img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 33vh;
  overflow: hidden;
  z-index: 1;
}

@media (min-width: 768px) {
  .con-sec3-wrap .img {
    height: 50vh;
  }
}

.con-sec3-wrap .img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center top;
}

.con-sec3-box {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 1.8rem;
  z-index: 3;
}

.con-sec3-box .title {
  font-size: clamp(1.875rem, 1.511rem + 1.58vw, 3rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  line-height: 2;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.con-sec3-box .p {
  line-height: 2.6;
  font-size: clamp(0.625rem, 0.544rem + 0.35vw, 0.875rem);
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.con-sec3-box2 {
  width: 100%;
  position: relative;
  z-index: 4;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}

.con-sec3-box2::before {
  content: "";
  position: absolute;
  top: -5%;
  left: -30%;
  width: 0.5px;
  height: 230%;
  background: #e8e5ff;
  transform-origin: top left;
  transform: rotate(-30deg);
  z-index: -1; /* 背景レイヤー */
}

@media (min-width: 768px) {
  .con-sec3-box2 {
    display: flex;
    flex-direction: row;
    align-items: end;
    justify-content: center;
  }

  .con-sec3-box2::before {
    transform: rotate(-50deg);
  }
}

.con-sec3-box2 .l {
  flex: 1;
  display: block;
  align-items: center;
  justify-content: center;
  margin-bottom: 0;
  box-shadow: 4px 4px 6px 0 rgba(0, 0, 0, 0.6);
}

.con-sec3-box2 .r {
  flex: 0.6;
  display: block;
  align-items: center;
  justify-content: center;
  box-shadow: 4px 4px 6px 0 rgba(0, 0, 0, 0.6);
}

@media (min-width: 768px) {
  .con-sec3-box2 .l {
    margin-bottom: 8rem;
  }
}

.con-sec4-title {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.4rem;
  z-index: 2;
}

@media (min-width: 768px) {
  .con-sec4-title {
    align-items: start;
    justify-content: center;
  }
}

.con-sec4-title .en {
  font-size: clamp(3rem, 1.542rem + 6.3vw, 7.5rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1;
  letter-spacing: 0.02em;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.con-sec4-title .title {
  font-size: clamp(0.875rem, 0.673rem + 0.88vw, 1.5rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  line-height: 1.5;
  color: #516788;
}

.con-sec4-title .p {
  line-height: 2;
  font-size: clamp(0.625rem, 0.544rem + 0.35vw, 0.875rem);
}

/* こだわり */

.cut-sec2-wrap {
  width: 100%;
  position: relative;
  z-index: 1;
}

.cut-sec2-wrap::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 0.5px;
  height: 250%;
  background: #e8e5ff;
  transform-origin: top right;
  transform: rotate(30deg);
  z-index: -1; /* 背景レイヤー */
}

@media (min-width: 768px) {
  .cut-sec2-wrap::before {
    height: 250%;
    transform: rotate(50deg);
  }
}

.cut-sec2-title {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  text-align: center;
}

.cut-sec2-title .en {
  position: relative;
  font-size: clamp(3rem, 1.542rem + 6.3vw, 7.5rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1.2;
  letter-spacing: 0.02em;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.cut-sec2-title .jp {
  position: relative;
  font-size: clamp(1.125rem, 0.781rem + 1.49vw, 2.188rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  line-height: 1.5;
  margin-top: 2rem;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.cut-sec2-box {
  position: sticky;
  top: 0;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 4;
  transition:
    opacity 0.8s ease,
    transform 0.8s ease;
}

.cut-sec2-box.is-fadeout {
  opacity: 0;
  transform: translateY(20px);
}

.cut-sec2-box .en {
  font-size: clamp(6.25rem, 5.035rem + 5.25vw, 10rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.cut-sec2-box p {
  line-height: 2.6;
  font-size: clamp(0.625rem, 0.544rem + 0.35vw, 0.875rem);
}

@media (min-width: 992px) {
  .cut-sec2-box {
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1rem;
  }
}

.cut-sec3-box {
  display: flex;
  align-items: center;
  justify-content: start;
  width: 100%;
}

.cut-sec3-box.r {
  justify-content: end;
}

.cut-sec3-box .box {
  width: 80%;
  height: auto;
  max-width: 824px;
}

.cut-sec3-box .box img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}

.cut-sec3-box.sub {
  position: relative;
}

.cut-sec3-box.sub::before {
  content: "";
  position: absolute;
  top: -5%;
  left: -20%;
  width: 0.5px;
  height: 480%;
  background: #e8e5ff;
  transform-origin: top left;
  transform: rotate(-30deg);
  z-index: -1; /* 背景レイヤー */
}

@media (min-width: 768px) {
  .cut-sec3-box.sub::before {
    transform: rotate(-50deg);
  }
}

/* スタイルブック */

.stb-sec2-wrap {
  width: 100%;
  position: relative;
  z-index: 1;
}

.stb-sec2-wrap::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 0.5px;
  height: 250%;
  background: #e8e5ff;
  transform-origin: top right;
  transform: rotate(30deg);
  z-index: -1; /* 背景レイヤー */
}

@media (min-width: 768px) {
  .stb-sec2-wrap::before {
    height: 250%;
    transform: rotate(50deg);
  }
}

.stb-sec2-box {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}

.stb-sec2-box .jp {
  position: relative;
  font-size: clamp(1.5rem, 1.014rem + 2.1vw, 3rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  line-height: 2;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.stb-sec2-box .en {
  position: relative;
  font-size: clamp(0.75rem, 0.507rem + 1.05vw, 1.5rem);
  line-height: 2;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
  margin-top: 1rem;
}

.stb-sec2-box .img {
  position: static;
  right: 0;
  top: 50%;
  transform: translateY(0%);
  width: 90%;
  max-width: 636px;
  overflow: hidden;
  z-index: -1;
}

.stb-sec2-box .img img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}

@media (min-width: 768px) {
  .stb-sec2-box .img {
    position: absolute;
    width: 50%;
    transform: translateY(-50%);
  }
}

.stb-sec2-box2 {
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 100%;
  margin-top: 4rem;
}

@media (min-width: 768px) {
  .stb-sec2-box2 {
    flex-direction: row;
    margin-top: 12rem;
  }
}

.stb-sec2-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 90%;
  max-width: 827px;
  z-index: 0;
}

.stb-sec2-img2 {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 75%;
  max-width: 570px;
  z-index: 0;
}

@media (min-width: 768px) {
  .stb-sec2-img {
    width: 80%;
  }

  .stb-sec2-img2 {
    width: 50%;
  }
}

.stb-sec2-box2 .jp {
  position: relative;
  font-size: clamp(1.5rem, 1.014rem + 2.1vw, 3rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  line-height: 2;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
  letter-spacing: 0.4em;
}

.stb-sec2-box2 .en {
  position: relative;
  font-size: clamp(0.75rem, 0.507rem + 1.05vw, 1.5rem);
  line-height: 2;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
  margin-top: 1rem;
}

.stb-sec3-title {
  display: flex;
  align-items: center;
  justify-content: start;
  width: 100%;
  position: relative;
}

.stb-sec3-title::before {
  content: "";
  display: block;
  width: 410px;
  height: 100px;
  background-image: url("../images/deco-01.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  right: -25%;
  top: 50%;
  transform: translateY(-50%);
  z-index: 0;
}

.stb-sec3-title.no02::before {
  width: 560px;
  right: -42%;
  background-image: url("../images/deco-02.svg");
}

.stb-sec3-title.no03::before {
  width: 560px;
  right: -42%;
  background-image: url("../images/deco-03.svg");
}

.stb-sec3-title.no04::before {
  width: 560px;
  right: -42%;
  background-image: url("../images/deco-04.svg");
}

.stb-sec3-title::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 0.5px;
  height: 200%;
  background: #e8e5ff;
  transform-origin: top right;
  transform: rotate(30deg);
  z-index: -1; /* 背景レイヤー */
}

@media (min-width: 768px) {
  .stb-sec3-title::before {
    height: 200px;
    right: 0%;
  }

  .stb-sec3-title.no02::before {
    width: 560px;
    right: 0%;
  }

  .stb-sec3-title.no03::before {
    width: 560px;
    right: 0%;
  }

  .stb-sec3-title.no04::before {
    width: 560px;
    right: 0%;
  }

  .stb-sec3-title::after {
    height: 800%;
    transform: rotate(50deg);
  }
}

.stb-sec3-title h2 {
  font-size: clamp(2.5rem, 1.69rem + 3.5vw, 5rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  margin: 0 !important;
  position: relative;
  z-index: 3;
}

.stb-sec3-img {
  width: 100%;
  max-height: 456px;
  margin-top: 2rem;
  overflow: hidden;
  position: relative;
  z-index: 3;
}

.stb-sec3-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.stb-sec3-text {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  z-index: 1;
  gap: 1.4rem;
}

.stb-sec3-text::before {
  content: "";
  position: absolute;
  top: 0;
  left: -30%;
  width: 0.5px;
  height: 180%;
  background: #e8e5ff;
  transform-origin: top left;
  transform: rotate(-30deg);
  z-index: -1; /* 背景レイヤー */
}

@media (min-width: 768px) {
  .stb-sec3-text::before {
    height: 400%;
    left: -10%;
    transform: rotate(-40deg);
  }
  .stb-sec3-text {
    flex-direction: row;
    align-items: start;
    justify-content: center;
  }
}

.stb-sec3-text h3 {
  flex: 0.8;
  font-size: clamp(1.5rem, 1.277rem + 0.96vw, 2.188rem);
  line-height: 2;
}

.stb-sec3-text p {
  flex: 1;
  font-size: clamp(0.625rem, 0.544rem + 0.35vw, 0.875rem);
  line-height: 2.6;
}

.stb-sec3-img {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}

.stb-sec3-img .box {
  flex: none;
  width: 100%;
  max-width: 480px;
  height: 210px;
  overflow: hidden;
}

.stb-sec3-img .box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

@media (min-width: 768px) {
  .stb-sec3-img {
    flex-direction: row;
  }

  .stb-sec3-img .box {
    flex: 1;
    width: 100%;
    height: auto;
  }
}

/* メニュー */

.menu-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 4rem;
}

.menu-title {
  display: flex;
  align-items: center;
  justify-content: start;
  width: 100%;
}

.menu-title h2 {
  font-size: clamp(2.5rem, 1.69rem + 3.5vw, 5rem);
  font-family: "impact", sans-serif;
  font-weight: 400;
  letter-spacing: 0.02em;
  line-height: 1;
}

.menu-list {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 100%;
}

.menu-list .name {
  display: flex;
  align-items: center;
  justify-content: start;
}

.menu-list .price {
  display: flex;
  align-items: center;
  justify-content: end;
  margin-top: 0.8rem;
}

.menu-list .name p,
.menu-list .price p {
  font-size: clamp(0.875rem, 0.673rem + 0.88vw, 1.5rem);
  line-height: 1.5;
}

@media (min-width: 768px) {
  .menu-list {
    gap: 3rem;
  }

  .menu-list .price {
    margin-top: 0;
  }
}

/* スタッフ */

.staff-wrap {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  width: 100%;
}

@media (min-width: 992px) {
  .staff-wrap {
    align-items: end;
  }

  .staff-wrap.l {
    align-items: start;
  }
}

.staff-img {
  position: relative;
  width: 100%;
  height: 60vh;
  z-index: 1;
}

@media (min-width: 992px) {
  .staff-img {
    width: 70%;
    height: auto;
    max-width: 652px;
  }
}

.staff-img::after {
  content: "";
  display: block;
  width: 138px;
  height: 410px;
  background-image: url("../images/staff-deco1.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  right: -14%;
  top: -5%;
  z-index: 2;
}

.staff-img.l::after {
  content: "";
  display: block;
  width: 138px;
  height: 410px;
  background-image: url("../images/staff-deco2.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  left: -14%;
  top: -5%;
  z-index: 2;
}

@media (min-width: 992px) {
  .staff-img::after {
    width: 138px;
    height: 700px;
    right: -5%;
    top: -5%;
  }

  .staff-img.l::after {
    width: 138px;
    height: 700px;
    left: -5%;
    top: -5%;
  }
}

.staff-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top center;
}

.staff-text {
  position: static;
  bottom: -12%;
  left: 10%;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 2.4rem;
  z-index: 4;
}

.staff-text-l {
  bottom: -12%;
  right: 5%;
  position: static;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 2.4rem;
  z-index: 4;
}

.staff-text .name,
.staff-text-l .name {
  font-size: clamp(1.5rem, 1.298rem + 0.88vw, 2.125rem);
  font-family: "ten-mincho-text", serif;
  font-weight: 400;
  line-height: 1.5;
}

.staff-text .name2,
.staff-text-l .name2 {
  font-size: clamp(1.125rem, 1.004rem + 0.53vw, 1.5rem);
  font-family: "ten-mincho-text", serif;
  font-weight: 400;
  line-height: 1.5;
}

.staff-text .text,
.staff-text-l .text {
  font-size: clamp(0.75rem, 0.669rem + 0.35vw, 1rem);
  font-family: "ten-mincho-text", serif;
  font-weight: 400;
  line-height: 2.4;
}

@media (min-width: 992px) {
  .staff-text {
    width: auto;
    position: absolute;
  }

  .staff-text-l {
    width: auto;
    position: absolute;
  }
}

/* 予約方法 */

.guide-sec2-box {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}

.guide-sec2-box .jp {
  position: relative;
  font-size: clamp(1rem, 0.757rem + 1.05vw, 1.75rem);
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
  line-height: 2;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
}

.guide-sec2-box .en {
  position: relative;
  font-size: clamp(0.625rem, 0.544rem + 0.35vw, 0.875rem);
  line-height: 2.6;
  text-shadow: 1.846px 1.846px 5.537px rgba(0, 0, 0, 0.25);
  margin-top: 1.6rem;
}

.guide-sec2-box .img {
  position: static;
  right: 0;
  top: 50%;
  transform: translateY(0%);
  width: 90%;
  max-width: 636px;
  overflow: hidden;
  z-index: -1;
}

.guide-sec2-box .img img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}

@media (min-width: 768px) {
  .guide-sec2-box .img {
    position: absolute;
    width: 50%;
    transform: translateY(-50%);
  }
}

.guide-sec3-title {
  font-size: clamp(1rem, 0.676rem + 1.4vw, 2rem);
  line-height: 1.8;
  letter-spacing: 0.2em;
  text-align: center;
  position: relative;
}

.guide-sec3-title::before,
.guide-sec3-title::after {
  content: "";
  position: absolute;
  top: 50%;
  width: 30px;
  height: 1px; /* 線の太さ */
  background: #fff;
  transform: translateY(-50%);
}

.guide-sec3-title::before {
  left: -25%;
}

.guide-sec3-title::after {
  right: -25%;
}

@media (min-width: 768px) {
  .guide-sec3-title::before,
  .guide-sec3-title::after {
    width: 80px;
  }

  .guide-sec3-title::before {
    left: -40%;
  }

  .guide-sec3-title::after {
    right: -40%;
  }
}

.guide-sec3-step {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
  padding: 0 1.5rem 0rem 1.5rem;
  gap: 1rem;
  text-align: center;
  max-width: 860px;
  width: 100%;
  margin-bottom: 1.6rem;
}

@media (min-width: 768px) {
  .guide-sec3-step {
    flex-direction: row;
    padding: 0 2rem 2rem 2rem;
    gap: 1.8rem;
    text-align: start;
    margin-bottom: 0%;
  }
}

.guide-sec3-step .no {
  position: relative;
  width: 110px;
  padding: 0.5rem;
}

@media (min-width: 768px) {
  .guide-sec3-step .no {
    width: 145px;
  }
}

.guide-sec3-step .no img {
  width: 100%;
  object-fit: contain;
  object-position: center;
}

.guide-sec3-step .box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  flex: 2.5;
}

@media (min-width: 768px) {
  .guide-sec3-step .box {
    align-items: start;
    gap: 1rem;
    flex: 6;
  }
}

.guide-sec3-step .box .title {
  font-size: clamp(1.125rem, 1.004rem + 0.53vw, 1.5rem);
  line-height: 1.8;
  font-family: "kozuka-gothic-pr6n", sans-serif;
  font-weight: 900;
}

.guide-sec3-step .box .p {
  font-size: clamp(0.625rem, 0.504rem + 0.53vw, 1rem);
  line-height: 2;
}

/* アクセス */

.acc-sec2-wrap {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 2.4rem;
}

@media (min-width: 768px) {
  .acc-sec2-wrap {
    flex-direction: row;
    align-items: start;
  }
}

.acc-sec2-box {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: start;
}

.acc-sec2-box-r {
  flex: none;
  overflow: hidden;
  height: 50vh;
}

@media (min-width: 768px) {
  .acc-sec2-box-r {
    flex: 1;
    height: auto;
  }
}

.acc-sec2-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.acc-sec2-title {
  font-size: clamp(1.25rem, 0.946rem + 1.31vw, 2.188rem);
  line-height: 1.8;
  font-family: "stencil-std", sans-serif;
  font-weight: 400;
  margin-bottom: 2rem;
}

.acc-sec2-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  gap: 1.4rem;
}

.acc-sec2-list p {
  font-size: clamp(0.75rem, 0.669rem + 0.35vw, 1rem);
  line-height: 2;
}

iframe {
  border: none;
  display: block;
}

.acc-sec4-wrap {
  position: relative;
}

.acc-sec4-wrap::before {
  content: "";
  position: absolute;
  top: 0;
  right: -25%;
  width: 0.5px;
  height: 100%;
  background: #e8e5ff;
  transform-origin: top right;
  transform: rotate(30deg);
  z-index: -1; /* 背景レイヤー */
}

@media (min-width: 768px) {
  .acc-sec4-wrap::before {
    top: 0;
    right: 0;
    height: 100%;
    transform: rotate(50deg);
  }
}

.acc-sec4-box {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  width: 100%;
  gap: 2rem;
}

.acc-sec4-box .img {
  width: 100%;
  height: auto;
  max-width: 590px;
  overflow: hidden;
}

.acc-sec4-box .img2 {
  width: 100%;
  height: auto;
  max-width: 670px;
  overflow: hidden;
}

.acc-sec4-box .img3 {
  width: 100%;
  height: 35vh;
  max-width: 436px;
  overflow: hidden;
}

.acc-sec4-box img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}

@media (min-width: 768px) {
  .acc-sec4-box {
    flex-direction: row;
    align-items: center;
    justify-content: end;
  }

  .acc-sec4-box.l {
    flex-direction: row;
    align-items: center;
    justify-content: start;
  }

  .acc-sec4-box .img {
    width: 60%;
  }

  .acc-sec4-box .img2 {
    width: 70%;
  }

  .acc-sec4-box .img3 {
    width: 50%;
    height: auto;
  }
}

.acc-sec4-text1,
.acc-sec4-text2 {
  position: static;
  font-size: clamp(0.875rem, 0.673rem + 0.88vw, 1.5rem);
  font-family: "ten-mincho-text", serif;
  font-weight: 400;
  z-index: 3;
}

@media (min-width: 768px) {
  .acc-sec4-text1 {
    position: absolute;
    left: 0%;
    top: 50%;
    transform: translateY(-40%);
  }

  .acc-sec4-text2 {
    position: absolute;
    right: 0%;
    top: 50%;
    transform: translateY(-40%);
  }
}

.acc-sec4-text3 {
  position: static;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  font-family: "ten-mincho-text", serif;
  font-weight: 400;
  z-index: 3;
}

.acc-sec4-text3 .text {
  font-size: clamp(0.875rem, 0.673rem + 0.88vw, 1.5rem);
}

.acc-sec4-text3 .name {
  display: flex;
  align-items: end;
  justify-content: start;
  gap: 2rem;
}

@media (min-width: 768px) {
  .acc-sec4-text3 {
    position: absolute;
    left: 8%;
    top: 50%;
    transform: translateY(-40%);
  }
}

/* swiper */

.swiper {
  width: 100%;
  height: auto;
  margin-left: auto;
  margin-right: auto;
}

.swiper-slide {
  background-size: cover;
  background-position: center;
}

.mySwiper2 {
  height: auto;
  width: 100%;
  max-width: 760px;
}

.mySwiper {
  height: 80px;
  box-sizing: border-box;
  padding: 10px 0;
  max-width: 760px;
}

@media (min-width: 768px) {
  .mySwiper {
    height: 140px;
  }
}

.mySwiper .swiper-slide {
  width: 25%;
  height: 100%;
  opacity: 0.4;
}

.mySwiper .swiper-slide-thumb-active {
  opacity: 1;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.swiper-wrapper.little img {
  object-fit: cover;
}

/* サブ */

.loop-posi {
  margin-top: auto;
  margin-bottom: auto;
}

.js-tick {
  position: relative;
  display: inline-flex;
  overflow: hidden;
  white-space: nowrap;
  z-index: 1;
}

.loop__text {
  display: inline-block;
  padding-right: 8rem;
  color: #2B4977;
  font-size: 12rem;
  font-family: "impact", sans-serif;
  font-weight: 400;
  line-height: 1;
  letter-spacing: 0.02em;
}

@media (min-width: 576px) {
  .loop__text {
    font-size: 16rem;
  }
}

@media (min-width: 768px) {
  .loop__text {
    font-size: 20rem;
  }
}

@media (min-width: 1200px) {
  .loop__text {
    font-size: 25rem;
  }
}

@-webkit-keyframes loopText {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-33.333%);
  }
}

@keyframes loopText {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-33.333%);
  }
}

/* TOP */

.top-fv-img {
  position: absolute;
  bottom: 0%;
  left: 50%;
  transform: translateX(-50%);
  overflow: hidden;
  z-index: 2;
  width: 100%;
  height: 80%;
}

.top-fv-img img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}

@media (min-width: 1200px) {
  .top-fv-img {
  height: 100%;
}
}

.top-fv-title {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 3;
}

.top-fv-title h1 {
  font-family: "ta-engeifude", sans-serif;
  font-weight: 400;
  font-size: clamp(2rem, 0.38rem + 7.01vw, 7rem);
  text-align: center;
  letter-spacing: 0.15em;
  text-shadow: 1.546px 1.546px 3.091px #000;

}

.top-news-wrap {
  display: flex;
  align-items: center;
  justify-content: start;
  width: 100%;
}

.top-news-wrap h2{
  font-size: clamp(1.5rem, 1.176rem + 1.4vw, 2.5rem);
  line-height: 1;
  padding-right: 2rem;
  color: #0430D2;
}